Skip to main content
POST
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
urls
Create landing page
curl --request POST \
  --url https://{domain}/api/v2/network/offers/{offer_id}/urls \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "string",
  "url": "https://example.com",
  "status": 1,
  "type": 1,
  "preview": "string",
  "visible_to_all_affiliates": 0,
  "visible_to_specific_affiliates_only": "string",
  "geo_allowed": "string"
}
'
import requests

url = "https://{domain}/api/v2/network/offers/{offer_id}/urls"

payload = {
"title": "string",
"url": "https://example.com",
"status": 1,
"type": 1,
"preview": "string",
"visible_to_all_affiliates": 0,
"visible_to_specific_affiliates_only": "string",
"geo_allowed": "string"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'string',
url: 'https://example.com',
status: 1,
type: 1,
preview: 'string',
visible_to_all_affiliates: 0,
visible_to_specific_affiliates_only: 'string',
geo_allowed: 'string'
})
};

fetch('https://{domain}/api/v2/network/offers/{offer_id}/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "url": {}
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

Body

application/json
title
string
required
Maximum string length: 128
url
string
required
status
integer
required

1=active, 3=inactive.

type
integer

1=default, 2=preview, 3=public, 4=private. Default 3.

preview
string
visible_to_all_affiliates
enum<integer>
Available options:
0,
1
visible_to_specific_affiliates_only
string

Comma-separated affiliate IDs.

geo_allowed
string

Comma-separated geoname IDs.

geo_denied
string

Comma-separated geoname IDs.

rules
string

JSON rules.

percent
integer
language
string

ISO 639-1 language code.

Maximum string length: 128
image_data
string

Base64-encoded preview image.

Response

Landing page created.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object